#
# .gitea/gitea-ci.yaml
#

name: Build And Test
run-name: ${{ gitea.actor }} is runs ci pipeline
on: [ push ]

jobs:
  build:
    runs-on: ubuntu-latest
    steps:
      - uses: https://github.com/actions/checkout@v4

  publish:
    runs-on: ubuntu-latest
    needs: build
    if: gitea.ref == 'refs/heads/main'
    steps:
      - uses: https://github.com/actions/checkout@v4
      - name: Set up Docker Buildx
        uses: https://github.com/docker/setup-buildx-action@v3
        with:
          config-inline: |
            [registry."gitea.sanplex.tech/sansan"]
              http = true
              insecure = true            
      - name: Build and push Docker image
        uses: https://github.com/docker/build-push-action@v5
        with:
          context: .
          file: ./Dockerfile
          push: true
          tags: "gitea.sanplex.tech/sansan/musicserver:${{gitea.sha}}, gitea.sanplex.tech/sansan/musicserver:latest"
